#include <stdio.h>
#include <stdlib.h>
 
int main(int argc, char *argv[]) {
	unsigned long int l;
	int n = 1;
	

	l = 1;
	while (l*n != 0) {
		l *= n;
		n++;
	}
	n -= 1;


	printf("valeur de n = %d, valeur de %d! = %lu\n", n, n, l);
	return EXIT_SUCCESS;
}